Remote Desktop overview

With Remote Desktop, you can have access to a Windows session that is running on your computer when you are at another computer. This means, for example, that you can connect to your work computer from home and have access to all of your programs, files, and network resources as though you were sitting at your computer at work. You can leave programs running at work and when you get home, you can see your work desktop displayed on your home computer, with the same programs running.

When you connect to your computer at work, Remote Desktop automatically locks that computer so that no one else can access your programs and files while you are gone. When you come back to work, you can unlock your computer by pressing CTRL+ALT+DEL.

You can keep your programs running and preserve the state of your Windows session while another user is logged on. When that user logs off, you can reconnect to your session in progress.

With Fast User Switching, you can easily switch from one user to another on the same computer. For example, suppose you are working at home and have logged on to the computer at your office to update an expense report. While you are working, a family member needs to use your home computer to check for an important e-mail message. You can disconnect Remote Desktop, allow the other user to log on and check e-mail, and then reconnect to the computer at your office, where you will see the expense report exactly as you left it. Fast User Switching works on standalone computers and computers that are members of workgroups.

Remote Desktop can be used in many situations, including:

  • Working at home. Access work in progress on your office computer from home, and have full access to all local and remote devices.
  • Collaborating. Access your desktop from a colleague's office to work together on projects such as updating a slide presentation or proofreading a document.
  • Sharing a console. Allow multiple users to maintain separate program and configuration sessions on a single computer, such as at a teller station or a sales desk.

To use Remote Desktop, you need:

  • A computer ("host" computer) running Windows XP Professional with Service Pack 2 or Windows Server 2003 with Service Pack 2 ("remote" computer) with a connection to a local area network (LAN) or the Internet.
  • A second computer ("client" computer) with access to the LAN via a network connection, modem, or virtual private network (VPN) connection. This computer must have Remote Desktop Connection installed.
  • Appropriate user accounts and permissions.


Security best practices

  • Add yourself to the Remote Desktop Users group for your computer. When you do this, you do not have to log on as an administrator to access your computer remotely. You should not add yourself to the Administrators group, and you should avoid running your computer while you are logged on as an administrator unless you are doing tasks that require administrator-only rights. For most computer activity, log on as a member of the Users or Power Users group. If you need to perform an administrator-only task, log on as an administrator, perform the task, and then log off. For more information, see Why you should not run your computer as an administrator.
  • Require all Remote Desktop users to log on with a strong password. This is especially important if your computer is connected directly to the Internet by means of a cable modem or DSL connection. For more information, see Creating strong passwords.


Differentiating between Remote Desktop and Remote Assistance

Remote Desktop and Remote Assistance use the same underlying technology, but there are differences between these features.

Remote Desktop allows you to have access to a Windows session that is running on your computer when you are at another computer. For example, you can use Remote Desktop to connect to your work computer from home and have access to all of your programs, files, and network resources, as though you were sitting in front of your computer at work.

Remote Assistance allows a helper—a friend, for example—to use an Internet connection to access your computer to provide assistance. The helper can see your computer screen and communicate through a chat box. If you give permission, the helper can remotely control your computer to resolve a problem.


Set up this computer to use Remote Desktop

Microsoft Windows graphic

To set up this computer to use Remote Desktop

  1. Open System in Control Panel.
  2. Click the Remote tab, and then, under Remote Desktop, click Allow users to connect remotely to this computer.
  3. Click Select Remote Users. If you are an administrator on the computer, your current user account will automatically be added to the list of remote users, and you can skip the next two steps.
  4. In the Remote Desktop Users dialog box, click Add.
  5. In the Select Users dialog box, do the following:
    • To specify the search location, click Locations, select the location you want to search, and then click OK.
    • In Enter the object names to select, type the name of the user you want to add, and then click OK.

    The name will be displayed in the list of users in the Remote Desktop Users dialog box.

Note

  • You must be logged on as an administrator or a member of the Administrators group to enable the Remote Desktop feature.


Set up your home computer to use Remote Desktop

Microsoft Windows Graphic

To set up your home computer to use Remote Desktop

At your office computer

Before you start, make sure you have the necessary permissions to use Remote Desktop. You must be an Administrator, or you must be a member of the Remote Desktop Users group. If you aren't sure if you have the necessary permissions, contact your administrator.

  1. Enable Remote Desktop Connection on your office computer.
    1. Open System in Control Panel.
    2. Click the Remote tab, and then, under Remote Desktop, click Allow users to connect remotely to this computer.
    3. Click Select Remote Users. If you are an administrator on the computer, your current user account will automatically be added to the list of remote users, and you can skip the next two steps.
    4. In the Remote Desktop Users dialog box, click Add.
    5. In the Select Users dialog box, do the following:
      • To specify the search location, click Locations, select the location you want to search, and then click OK.
      • In Enter the object names to select, type the name of the user you want to add, and then click OK.

      The name will be displayed in the list of users in the Remote Desktop Users dialog box.

  2. Note the name of your office computer.

    To find your office computer name, open System in Control Panel, and then click the Computer Name tab. In the name next to Full computer name, your computer name is the text to the left of the first period.

  3. Leave your office computer turned on.
  4. Print this topic and take these instructions to your home computer. To print the topic, right-click anywhere in the topic, and then click Print.

At your home computer

  1. Connect to your work network by means of a virtual private network (VPN), local area network (LAN), or modem connection.
  2. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  3. Type the name of your office computer, and then click Connect.


Obtain the Remote Desktop client software

To obtain the Remote Desktop client software

  • On a computer running Windows XP Service Pack 2 (SP2), download and install the Remote Desktop Connection package from Microsoft Update.


Install Remote Desktop Connection (32-bit computers)

To install Remote Desktop Connection (32-bit computers)

  • On a computer running Windows XP Service Pack 2 (SP2), download and install the Remote Desktop Connection package from Microsoft Update.


Install Terminal Services Client (16-bit computers)

To install Terminal Services Client (16-bit computers)

The material in this topic was removed because it does not apply to this version of Remote Desktop Connection.


Install Terminal Services Client (

To install Terminal Services Client (Windows NT 3.51 computers)

The material in this topic was removed because it does not apply to this version of Remote Desktop Connection.


Use Remote Desktop Web Connection

This section provides general information about Remote Desktop Web Connection.

  • About Remote Desktop Web Connection
  • Setting up Remote Desktop Web Connection
  • Install Remote Desktop Web Connection
  • Connect to another computer using Remote Desktop Web Connection


About Remote Desktop Web Connection

You can use Remote Desktop Web Connection to connect to a remote computer over the Internet. To do this, the remote computer must be running Windows, and it must have Remote Desktop Web Connection installed.

Remote Desktop Web Connection requires only an Internet connection to connect to a remote computer. It uses the Internet to connect to a webpage, and then uses Remote Desktop Protocol (RDP) to connect to a remote computer. It has the benefit of allowing the administrator to use the same configuration for all remote sessions, instead of sharing or publishing .rdp files.

The administrator must first set up the remote (host) computer to allow incoming connections. The administrator could be you or a network administrator—whoever sets up the remote computer to allow connections.

For information about using Remote Desktop Web Connection, see To connect to another computer using Remote Desktop Web Connection.


Setting up Remote Desktop Web Connection

A connection using Remote Desktop Web Connection has two parts—the web server software and the client connection to the web server.

The web server software for Remote Desktop Web Connection is not installed by default, but must be installed using Add or Remove Programs. For installation steps, see To install Remote Desktop Web Connection. (This process also installs Internet Information Services (IIS).)

When you install the web server software for Remote Desktop Web Connection, the files are copied by default to the %SYSTEMROOT%\Web\Tsweb folder of the web server.

To connect to a web server running Remote Desktop Web Connection, the client computer must have a TCP/IP connection to the Internet or a network, and be running Microsoft Internet Explorer.

For more information, see:

  • To connect to another computer using Remote Desktop Web Connection.


Install Remote Desktop Web Connection

To install Remote Desktop Web Connection

  1. Open Add or Remove Programs in Control Panel.
  2. Click Add/Remove Windows Components.
  3. Select Internet Information Services, and then click Details.
  4. In the Subcomponents of Internet Information Services list, select World Wide Web Service, and then click Details.
  5. In the Subcomponents for World Wide Web Service list, select the Remote Desktop Web Connection check box, click OK, and then click OK again.
  6. In the Windows Components Wizard, click Next.

Notes

  • XOX
  • Internet Information Services is not installed on Windows XP Professional by default.
  • You must be logged on as an administrator or a member of the Administrators group to complete this procedure. If your computer is connected to a network, network policy settings might prevent you from completing this procedure.
  • XOX
  • For information about using Remote Desktop Web Connection from the client computer, see To connect to another computer using Remote Desktop Web Connection.

Related Topics


Connect to another computer using Remote Desktop Web Connection

To connect to another computer using Remote Desktop Web Connection

You can use Remote Desktop Web Connection to connect to a remote computer over the Internet. To do this, the remote computer must be running Windows, and it must have Remote Desktop Web Connection installed. Here's how to connect to a remote computer using a web connection:

  1. Open Internet Explorer or another web browser, and type the URL using the remote computer's name or IP address, followed by /tsweb/. For example:
    • If the computer name is MyComputer, you would type http://mycomputer/tsweb/.
    • If the IP address is 192.168.1.120, you would type http://192.168.1.120/tsweb/.
  2. On the Remote Desktop Web Connection logon screen, type the server name (the remote computer name), and then click Connect.
  3. Type your user name and password, and then click OK.

To disconnect, log off, and then close your browser.

Note

  • If you can't connect to the remote computer and you're using a firewall, open TCP port 80. For instructions on opening ports, refer to the documentation that came with your firewall.


Disable Remote Desktop

To disable Remote Desktop

  1. Open System in Control Panel.
  2. On the Remote tab, under Remote Desktop, select the Don't allow connections to this computer check box, and then click OK.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to disable Remote Desktop.
  • XOX


Allow other users to connect to your computer

To allow other users to connect to your computer

  1. Open System in Control Panel.
  2. Click the Remote tab, and then, under Remote Desktop, click Allow users to connect remotely to this computer.
  3. Click Select Remote Users. If you are an administrator on the computer, your current user account will automatically be added to the list of remote users, and you can skip the next two steps.
  4. In the Remote Desktop Users dialog box, click Add.
  5. In the Select Users dialog box, do the following:
    • To specify the search location, click Locations, select the location you want to search, and then click OK.
    • In Enter the object names to select, type the name of the user you want to add, and then click OK.

    The name will be displayed in the list of users in the Remote Desktop Users dialog box.

Note

  • You must be logged on as an administrator or a member of the Administrators group to add a user to the Remote Users Group.

Related Topics


Change the icon associated with the shortcut to a connection file

Microsoft Windows Graphic

To change the icon associated with the shortcut to a connection file

  1. Navigate to the location of the .rdp file.
  2. Right-click the file, and then click Create Shortcut.
  3. Right-click the shortcut, click Properties, and then click Change Icon.
  4. In the Change Icon dialog box, click an icon, and then click OK.
  5. In the Shortcut Properties dialog box, click OK.

Notes

  • To create an .rdp file, open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection. Click Options, change some settings and then click Save or Save As.
  • By default, .rdp files are saved in My Documents. The default .rdp file (default.rdp) is saved as a hidden file.


Troubleshooting

  • Troubleshooting general error messages
  • Troubleshooting licensing error messages
  • Troubleshooting specific problems


Share the client setup folder

To share the client setup folder

The material in this topic was removed because it does not apply to this version of Remote Desktop Connection.